=== debian/changelog ===
python-gabbi (2.4.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Add remove_six_dependency.patch and remove six as (b-)depends
    (Closes: #1053378).
  * Cleanup gabbi.egg-info on clean.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Mar 2024 10:03:32 +0100

python-gabbi (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:43:19 +0100

python-gabbi (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Feb 2022 11:50:34 +0100
