## python-gabbi 3.0.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # simple Makefile for some common tasks
 .PHONY: clean test dist release pypi tagv docs
 
-gabbi-version := $(shell python -c 'import gabbi; print gabbi.__version__')
+gabbi-version := $(shell python -c 'import gabbi; print(gabbi.__version__)')
 
 clean:
 	find . -name "*.pyc" |xargs rm || true
@@ -40,7 +40,7 @@
 
 pypi:
 	python3 setup.py sdist bdist_wheel
-	twine upload -s dist/*
+	twine upload dist/*
 
 docker:
 	docker build --build-arg GABBI_VERSION=${gabbi-version} -t gabbi:${gabbi-version} .
