=== requirements.txt ===
pbr
pytest
PyYAML
urllib3>=1.26.9,<2.0.0
certifi
jsonpath-rw-ext>=1.0.0
wsgi-intercept>=1.13.0
colorama
