=== debian/changelog ===
python-gabbi (3.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090505).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:45:00 +0100

python-gabbi (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:00:49 +0200

python-gabbi (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patches now usless:
    - 50-no-external-site-css.patch
    - remove_six_dependency.patch
  * Run unit tests at build time.
  * Add autopkgtest.
  * Bump debhelper-compat to version 11.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 09:41:57 +0200
