=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -18,13 +18,14 @@
  python3-hacking,
  python3-httplib2,
  python3-jsonpath-rw,
- python3-mock,
+ python3-jsonpath-rw-ext,
+ python3-pytest,
  python3-pytest-cov,
+ python3-stestr,
  python3-testtools,
- python3-wsgi-intercept,
+ python3-wsgi-intercept (>= 1.13.0),
  python3-yaml,
  subunit,
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-gabbi
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-gabbi.git
@@ -71,9 +72,10 @@
  python3-colorama,
  python3-httplib2,
  python3-jsonpath-rw,
+ python3-jsonpath-rw-ext,
  python3-pbr,
  python3-testtools,
- python3-wsgi-intercept (>= 1.0.0),
+ python3-wsgi-intercept (>= 1.13.0),
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
