=== debian/watch ===
version=3
https://github.com/cdent/gabbi/tags .*/(\d[\d\.]+)\.tar\.gz
