=== requirements.txt ===
pytest
PyYAML
httpx[http2]
certifi
jsonpath-ng
colorama
