=== debian/changelog ===
python-gabbi (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.
  * d/control: sync dependencies.
  * d/patches: patch python to python3 usage.
  * d/{rules,tests/unittests}: update test command.
  * d/rules: Clean .pybuild.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Fri, 27 Feb 2026 12:58:19 +0100
