=== debian/control ===
--- 
+++ 
@@ -4,26 +4,24 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Guillaume Boutry <guillaume.boutry@canonical.com>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
  python3-colorama,
  python3-coverage,
  python3-hacking,
- python3-httplib2,
- python3-jsonpath-rw,
- python3-jsonpath-rw-ext,
+ python3-h2,
+ python3-httpx,
+ python3-jsonpath-ng,
  python3-pytest,
  python3-pytest-cov,
  python3-stestr,
- python3-testtools,
- python3-wsgi-intercept (>= 1.13.0),
  python3-yaml,
  subunit,
 Standards-Version: 4.1.3
@@ -70,12 +68,9 @@
 Architecture: all
 Depends:
  python3-colorama,
- python3-httplib2,
- python3-jsonpath-rw,
- python3-jsonpath-rw-ext,
- python3-pbr,
- python3-testtools,
- python3-wsgi-intercept (>= 1.13.0),
+ python3-h2,
+ python3-httpx,
+ python3-jsonpath-ng,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
