=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr gabbi.egg-info
+	rm -rf build .stestr gabbi.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
@@ -26,7 +26,8 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# test_live are doing internet access.
-	pkgos-dh_auto_test --no-py2 'gabbi\.tests\.(?!test_live.*|test_intercept\.prefix_get_that_link\.test_request|test_intercept\.prefix_get_relative_link\.test_request|test_intercept\.prefix_provide_a_link\.test_request)'
+	# GABBI_PREFIX is needed to ensure SCRIPT_PATH is not None
+	GABBI_PREFIX="" GABBI_SKIP_NETWORK=true pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_sphinxdoc:
